Attend XDA's Second Annual Developer Conference, XDA:DevCon 2014!
5,807,727 Members 51,834 Now Online
XDA Developers Android and Mobile Development Forum

Cannot install framework-res.apk with apktool

Tip us?
 
tlf55
Old
#1  
Senior Member - OP
Thanks Meter 81
Posts: 977
Join Date: Mar 2011
Default Cannot install framework-res.apk with apktool

Hi, i try to decompile MMS.APK from my device but i know that as it's a system app, i have to install first framework-res.apk..

with the command apktool if framework-res.apk
but it gives me this

31-août-2014: W: Config flags size > 36. Exceeding bytes: 0xFFFF.
31-août-2014: W: Invalid config flags detected: style-v17-ERR0
31-août-2014: Exception in thread "main" brut.androlib.AndrolibException: Could not decode arsc file
31-août-2014: at brut.androlib.res.decoder.ARSCDecoder.decode(ARSCD ecoder.java:56)
31-août-2014: at brut.androlib.res.decoder.ARSCDecoder.decode(ARSCD ecoder.java:40)
31-août-2014: at brut.androlib.res.AndrolibResources.installFramewo rk(AndrolibResources.java:562)
31-août-2014: at brut.androlib.Androlib.installFramework(Androlib.j ava:473)
31-août-2014: at brut.apktool.Main.cmdInstallFramework(Main.java:25 0)
31-août-2014: at brut.apktool.Main.main(Main.java:81)
31-août-2014: Caused by: java.io.IOException: Expected: 0x00000008, got: 0x00000103
31-août-2014: at brut.util.ExtDataInput.skipCheckShort(ExtDataInput .java:56)
31-août-2014: at brut.androlib.res.decoder.ARSCDecoder.readValue(AR SCDecoder.java:222)
31-août-2014: at brut.androlib.res.decoder.ARSCDecoder.readEntry(AR SCDecoder.java:182)
31-août-2014: at brut.androlib.res.decoder.ARSCDecoder.readConfig(A RSCDecoder.java:170)
31-août-2014: at brut.androlib.res.decoder.ARSCDecoder.readType(ARS CDecoder.java:135)
31-août-2014: at brut.androlib.res.decoder.ARSCDecoder.readPackage( ARSCDecoder.java:110)
31-août-2014: at brut.androlib.res.decoder.ARSCDecoder.readTable(AR SCDecoder.java:83)
31-août-2014: at brut.androlib.res.decoder.ARSCDecoder.decode(ARSCD ecoder.java:49)
31-août-2014: ... 5 more

And that's all..

I have lastest updates from JAVA JDK and JRE and lastest apktool too .. i've installed Android SDK and voila.. I don't know what can i do more ?

Someone help me please ?
 
tlf55
Old
#2  
Senior Member - OP
Thanks Meter 81
Posts: 977
Join Date: Mar 2011
bump
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes